const express = require('express');
const router = express.Router();
const {
  createBankTransaction,
  getBankTransactions,
  getBankTransactionById,
  updateBankTransaction,
  deleteBankTransaction
} = require('../controllers/bankTransactionController');

// Route to create a new transaction
router.post('/', createBankTransaction);

// Route to get all transactions
router.get('/', getBankTransactions);

// Route to get a specific transaction by ID
router.get('/:id', getBankTransactionById);

// Route to update a transaction
router.put('/:id', updateBankTransaction);

// Route to delete a transaction
router.delete('/:id', deleteBankTransaction);

module.exports = router;
